module.exports = (grunt) ->
  grunt.initConfig
    pkg: grunt.file.readJSON 'package.json'

    banner:
      '/* <%= pkg.name %>-<%= pkg.version %>:' +
      '<%= grunt.template.today("yyyy-mm-dd") %> */'
    
    sass:
      dist:
        src: ['src/*.sass']
        dest: 'dest/sample.css'
        
    cssmin:
      options:
        banner: '<%= banner %>'
      dist:
        src: ["dest/sample.css"]
        dest:  "htdocs/css/styles.min.css"

    slim:
      dist:
        src: ["src/index.slim"]
        dest: "htdocs/index.html"

    watch:
      options:
        livereload: true
        
      sass:
        files: "<%= sass.dist.src %>"
        tasks: "sass:dist"

      cssmin:
        files: "<%= cssmin.dist.src %>"
        tasks: "cssmin:dist"

      slim:
        files: "<%= slim.dist.src %>"
        tasks: "slim:dist"

  grunt.loadNpmTasks "grunt-contrib"
  grunt.loadNpmTasks "grunt-slim"
  grunt.registerTask "default", "watch"
  grunt.registerTask "build", ['sass', 'cssmin', 'slim']
